Bug 1023486 - groups operations failing due to a libcomps API change in its latest version (KeyError: 'en_US.UTF-8') [NEEDINFO]
Summary: groups operations failing due to a libcomps API change in its latest version ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a6523981e781d55e80ad72ece61...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-25 14:17 UTC by Alexander Ivanov
Modified: 2014-09-30 23:41 UTC (History)
7 users (show)

Fixed In Version: hawkey-0.4.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 00:39:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akozumpl: needinfo? (hrafn)


Attachments (Terms of Use)
File: backtrace (1.43 KB, text/plain)
2013-10-25 14:17 UTC, Alexander Ivanov
no flags Details
File: environ (2.98 KB, text/plain)
2013-10-25 14:17 UTC, Alexander Ivanov
no flags Details

Description Alexander Ivanov 2013-10-25 14:17:40 UTC
Description of problem:
Run dnf groups list and that's all.

Version-Release number of selected component:
dnf-0.4.5-1.fc20

Additional info:
reporter:       libreport-2.1.8
cmdline:        /usr/bin/python /usr/bin/dnf groups list
executable:     /usr/bin/dnf
kernel:         3.11.6-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
comps.py:109:_ui_text:KeyError: "KeyError: 'en_US.UTF-8'"

Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 272, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    result, resultmsgs = cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1305, in run
    return self.command.doCommand(self.base.basecmd, self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 876, in doCommand
    return self.base.returnGroupLists(extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 785, in returnGroupLists
    _out_grp(_('Installed Groups:'), group)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 775, in _out_grp
    msg = '   %s' % group.ui_name
  File "/usr/lib/python2.7/site-packages/dnf/comps.py", line 121, in ui_name
    return self._ui_text(self.name, self.name_by_lang)
  File "/usr/lib/python2.7/site-packages/dnf/comps.py", line 109, in _ui_text
    t = dct[l]
KeyError: "KeyError: 'en_US.UTF-8'"

Local variables in innermost frame:
default: u'Network Servers'
dct: <libcomps.Dict object at 0x306bf18>
l: 'en_US.UTF-8'
self: <dnf.comps.Group object at 0x2ac44d0>

Comment 1 Alexander Ivanov 2013-10-25 14:17:45 UTC
Created attachment 816176 [details]
File: backtrace

Comment 2 Alexander Ivanov 2013-10-25 14:17:51 UTC
Created attachment 816177 [details]
File: environ

Comment 3 Ales Kozumplik 2013-10-28 20:47:10 UTC
Alexander, thanks for the report, what does 'rpm -q libcomps' say?

Comment 4 Ales Kozumplik 2013-10-30 08:22:17 UTC
Either way, this will be fine with dnf-0.4.6.

Comment 5 Fedora Update System 2013-10-30 10:09:18 UTC
dnf-0.4.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.6-1.fc20

Comment 6 Fedora Update System 2013-10-30 17:14:39 UTC
Package dnf-0.4.6-1.fc20, libsolv-0.4.0-1.gitd49d319.fc20, hawkey-0.4.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.6-1.fc20 libsolv-0.4.0-1.gitd49d319.fc20 hawkey-0.4.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20333/libsolv-0.4.0-1.gitd49d319.fc20,hawkey-0.4.4-1.fc20,dnf-0.4.6-1.fc20
then log in and leave karma (feedback).

Comment 7 lnie 2013-10-31 03:01:37 UTC
run "dnf groups list"with the updates above see bug1025098

Comment 8 Fedora Update System 2013-10-31 14:23:01 UTC
hawkey-0.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.4-1.fc20

Comment 9 Fedora Update System 2013-10-31 17:42:43 UTC
Package hawkey-0.4.4-1.fc20, dnf-0.4.6-1.fc20, libsolv-0.4.0-1.gitd49d319.fc20, librepo-1.3.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.4.4-1.fc20 dnf-0.4.6-1.fc20 libsolv-0.4.0-1.gitd49d319.fc20 librepo-1.3.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20406/dnf-0.4.6-1.fc20,libsolv-0.4.0-1.gitd49d319.fc20,librepo-1.3.0-1.fc20,hawkey-0.4.4-1.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-11-12 00:39:54 UTC
hawkey-0.4.4-1.fc20, dnf-0.4.6-1.fc20, libsolv-0.4.0-1.gitd49d319.fc20, librepo-1.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.